{{- if and .Values.configs.enabled -}}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "service.fullname" . }}-configmap
  annotations:
    "helm.sh/hook": pre-install,pre-upgrade
    "helm.sh/hook-weight": "-5"
  labels:
    app: {{ include "service.fullname" . }}
    release: {{ .Release.Name }}
data: 
  {{- range $key, $value := .Values.configs }}
  {{ $key }}: {{ $value | quote }}
  {{- end }}
{{- end -}}
